
using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;

using Steema.TeeChart;
using Steema.TeeChart.Styles;
using Steema;
using Flock;

namespace FlockMain
{
    partial class TfrmMain
    {
        public System.Windows.Forms.Splitter Splitter1;
        public System.Windows.Forms.GroupBox GroupBox1;
        public Steema.TeeChart.TChart Chart1;
        public Steema.TeeChart.Styles.Shape/*TChartShape*/ Series1;
        public Steema.TeeChart.Styles.Shape/*TChartShape*/ Series2;
        public Steema.TeeChart.Styles.Shape/*TChartShape*/ Series3;
        public Arrow FlockSeries;
        public Steema.TeeChart.Styles.Shape/*TChartShape*/ Series4;
        public System.Windows.Forms.Panel Panel1;
        public System.Windows.Forms.GroupBox GroupBox2;
        public System.Windows.Forms.Label Label1;
        public System.Windows.Forms.Button btnOneStep;
        public System.Windows.Forms.Button btnStart;
        public System.Windows.Forms.Button btnStop;
        public System.Windows.Forms.TrackBar tbMaxStepsPerSec;
        public System.Windows.Forms.GroupBox GroupBox3;
        public System.Windows.Forms.Label Label4;
        public System.Windows.Forms.Label Label5;
        public System.Windows.Forms.Label Label6;
        public System.Windows.Forms.Label Label7;
        public System.Windows.Forms.CheckedListBox clbBehaviors;
        public System.Windows.Forms.TrackBar tbSeparationStrength;
        public System.Windows.Forms.TrackBar tbAlignmentStrength;
        public System.Windows.Forms.TrackBar tbCohesionStrength;
        public System.Windows.Forms.TrackBar tbAvoidanceStrength;
        public System.Windows.Forms.GroupBox GroupBox4;
        public System.Windows.Forms.Label Label2;
        public System.Windows.Forms.Label Label3;
        public System.Windows.Forms.TrackBar tbBoidsPerFlock;
        public System.Windows.Forms.TrackBar tbNumFlocks;
        public System.Windows.Forms.CheckBox cbFollowMouse;
        public TFlockWorld World;
        public Flock.TFlock ProtoFlock;
        private System.Windows.Forms.ToolTip toolTip1 = null;

        // Clean up any resources being used.
        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                if (components != null)
                {
                    components.Dispose();
                }
            }
            base.Dispose(disposing);
        }

        #region Windows Form Designer generated code
        private void InitializeComponent()
        {
            this.components = new System.ComponentModel.Container();
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(TfrmMain));
            Vector.TVector tVector3 = new Vector.TVector();
            Vector.TVector tVector4 = new Vector.TVector();
            this.toolTip1 = new System.Windows.Forms.ToolTip(this.components);
            this.Chart1 = new Steema.TeeChart.TChart();
            this.Series4 = new Steema.TeeChart.Styles.Shape();
            this.Series1 = new Steema.TeeChart.Styles.Shape();
            this.btnOneStep = new System.Windows.Forms.Button();
            this.btnStart = new System.Windows.Forms.Button();
            this.btnStop = new System.Windows.Forms.Button();
            this.tbMaxStepsPerSec = new System.Windows.Forms.TrackBar();
            this.clbBehaviors = new System.Windows.Forms.CheckedListBox();
            this.tbSeparationStrength = new System.Windows.Forms.TrackBar();
            this.tbAlignmentStrength = new System.Windows.Forms.TrackBar();
            this.tbCohesionStrength = new System.Windows.Forms.TrackBar();
            this.tbAvoidanceStrength = new System.Windows.Forms.TrackBar();
            this.tbBoidsPerFlock = new System.Windows.Forms.TrackBar();
            this.tbNumFlocks = new System.Windows.Forms.TrackBar();
            this.cbFollowMouse = new System.Windows.Forms.CheckBox();
            this.tbNeigboursRank = new System.Windows.Forms.TrackBar();
            this.tbResponseDelay = new System.Windows.Forms.TrackBar();
            this.tbMaxSpeed = new System.Windows.Forms.TrackBar();
            this.Splitter1 = new System.Windows.Forms.Splitter();
            this.GroupBox1 = new System.Windows.Forms.GroupBox();
            this.Series2 = new Steema.TeeChart.Styles.Shape();
            this.Series3 = new Steema.TeeChart.Styles.Shape();
            this.FlockSeries = new Steema.TeeChart.Styles.Arrow();
            this.Panel1 = new System.Windows.Forms.Panel();
            this.GroupBox3 = new System.Windows.Forms.GroupBox();
            this.label10 = new System.Windows.Forms.Label();
            this.label9 = new System.Windows.Forms.Label();
            this.label8 = new System.Windows.Forms.Label();
            this.Label7 = new System.Windows.Forms.Label();
            this.Label6 = new System.Windows.Forms.Label();
            this.Label5 = new System.Windows.Forms.Label();
            this.Label4 = new System.Windows.Forms.Label();
            this.GroupBox2 = new System.Windows.Forms.GroupBox();
            this.Label1 = new System.Windows.Forms.Label();
            this.GroupBox4 = new System.Windows.Forms.GroupBox();
            this.checkBox1 = new System.Windows.Forms.CheckBox();
            this.Label2 = new System.Windows.Forms.Label();
            this.Label3 = new System.Windows.Forms.Label();
            this.World = new Flock.TFlockWorld();
            ((System.ComponentModel.ISupportInitialize)(this.tbMaxStepsPerSec)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.tbSeparationStrength)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.tbAlignmentStrength)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.tbCohesionStrength)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.tbAvoidanceStrength)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.tbBoidsPerFlock)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.tbNumFlocks)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.tbNeigboursRank)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.tbResponseDelay)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.tbMaxSpeed)).BeginInit();
            this.GroupBox1.SuspendLayout();
            this.Panel1.SuspendLayout();
            this.GroupBox3.SuspendLayout();
            this.GroupBox2.SuspendLayout();
            this.GroupBox4.SuspendLayout();
            this.SuspendLayout();
            //
            // Chart1
            //
            this.Chart1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
                        | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            //
            //
            //
            this.Chart1.Aspect.Chart3DPercent = 0;
            this.Chart1.Aspect.Elevation = 0;
            this.Chart1.Aspect.ElevationFloat = 0D;
            this.Chart1.Aspect.OrthoAngle = 0;
            this.Chart1.Aspect.Perspective = 0;
            this.Chart1.Aspect.Rotation = 0;
            this.Chart1.Aspect.RotationFloat = 0D;
            this.Chart1.Aspect.View3D = false;
            //
            //
            //
            //
            //
            //
            this.Chart1.Axes.Bottom.Automatic = false;
            this.Chart1.Axes.Bottom.AutomaticMaximum = false;
            this.Chart1.Axes.Bottom.AutomaticMinimum = false;
            //
            //
            //
            this.Chart1.Axes.Bottom.Grid.Style = System.Drawing.Drawing2D.DashStyle.Dot;
            //
            //
            //
            //
            //
            //
            this.Chart1.Axes.Bottom.Labels.Bevel.ColorOne = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(255)))));
            this.Chart1.Axes.Bottom.Labels.Bevel.ColorTwo = System.Drawing.Color.FromArgb(((int)(((byte)(128)))), ((int)(((byte)(128)))), ((int)(((byte)(128)))));
            this.Chart1.Axes.Bottom.Labels.Bevel.StringColorOne = "FFFFFFFF";
            this.Chart1.Axes.Bottom.Labels.Bevel.StringColorTwo = "FF808080";
            this.Chart1.Axes.Bottom.Maximum = 0D;
            this.Chart1.Axes.Bottom.Minimum = 0D;
            //
            //
            //
            //
            //
            //
            this.Chart1.Axes.Bottom.Title.Bevel.ColorOne = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(255)))));
            this.Chart1.Axes.Bottom.Title.Bevel.ColorTwo = System.Drawing.Color.FromArgb(((int)(((byte)(128)))), ((int)(((byte)(128)))), ((int)(((byte)(128)))));
            this.Chart1.Axes.Bottom.Title.Bevel.StringColorOne = "FFFFFFFF";
            this.Chart1.Axes.Bottom.Title.Bevel.StringColorTwo = "FF808080";
            //
            //
            //
            this.Chart1.Axes.Depth.Automatic = false;
            this.Chart1.Axes.Depth.AutomaticMaximum = false;
            this.Chart1.Axes.Depth.AutomaticMinimum = false;
            //
            //
            //
            this.Chart1.Axes.Depth.Grid.Style = System.Drawing.Drawing2D.DashStyle.Dot;
            //
            //
            //
            //
            //
            //
            this.Chart1.Axes.Depth.Labels.Bevel.ColorOne = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(255)))));
            this.Chart1.Axes.Depth.Labels.Bevel.ColorTwo = System.Drawing.Color.FromArgb(((int)(((byte)(128)))), ((int)(((byte)(128)))), ((int)(((byte)(128)))));
            this.Chart1.Axes.Depth.Labels.Bevel.StringColorOne = "FFFFFFFF";
            this.Chart1.Axes.Depth.Labels.Bevel.StringColorTwo = "FF808080";
            this.Chart1.Axes.Depth.Maximum = 0.5D;
            this.Chart1.Axes.Depth.Minimum = -0.5D;
            //
            //
            //
            //
            //
            //
            this.Chart1.Axes.Depth.Title.Bevel.ColorOne = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(255)))));
            this.Chart1.Axes.Depth.Title.Bevel.ColorTwo = System.Drawing.Color.FromArgb(((int)(((byte)(128)))), ((int)(((byte)(128)))), ((int)(((byte)(128)))));
            this.Chart1.Axes.Depth.Title.Bevel.StringColorOne = "FFFFFFFF";
            this.Chart1.Axes.Depth.Title.Bevel.StringColorTwo = "FF808080";
            //
            //
            //
            this.Chart1.Axes.DepthTop.Automatic = false;
            this.Chart1.Axes.DepthTop.AutomaticMaximum = false;
            this.Chart1.Axes.DepthTop.AutomaticMinimum = false;
            //
            //
            //
            this.Chart1.Axes.DepthTop.Grid.Style = System.Drawing.Drawing2D.DashStyle.Dot;
            //
            //
            //
            //
            //
            //
            this.Chart1.Axes.DepthTop.Labels.Bevel.ColorOne = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(255)))));
            this.Chart1.Axes.DepthTop.Labels.Bevel.ColorTwo = System.Drawing.Color.FromArgb(((int)(((byte)(128)))), ((int)(((byte)(128)))), ((int)(((byte)(128)))));
            this.Chart1.Axes.DepthTop.Labels.Bevel.StringColorOne = "FFFFFFFF";
            this.Chart1.Axes.DepthTop.Labels.Bevel.StringColorTwo = "FF808080";
            this.Chart1.Axes.DepthTop.Maximum = 0.5D;
            this.Chart1.Axes.DepthTop.Minimum = -0.5D;
            //
            //
            //
            //
            //
            //
            this.Chart1.Axes.DepthTop.Title.Bevel.ColorOne = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(255)))));
            this.Chart1.Axes.DepthTop.Title.Bevel.ColorTwo = System.Drawing.Color.FromArgb(((int)(((byte)(128)))), ((int)(((byte)(128)))), ((int)(((byte)(128)))));
            this.Chart1.Axes.DepthTop.Title.Bevel.StringColorOne = "FFFFFFFF";
            this.Chart1.Axes.DepthTop.Title.Bevel.StringColorTwo = "FF808080";
            //
            //
            //
            this.Chart1.Axes.Left.Automatic = false;
            this.Chart1.Axes.Left.AutomaticMaximum = false;
            this.Chart1.Axes.Left.AutomaticMinimum = false;
            //
            //
            //
            this.Chart1.Axes.Left.Grid.Style = System.Drawing.Drawing2D.DashStyle.Dot;
            //
            //
            //
            //
            //
            //
            this.Chart1.Axes.Left.Labels.Bevel.ColorOne = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(255)))));
            this.Chart1.Axes.Left.Labels.Bevel.ColorTwo = System.Drawing.Color.FromArgb(((int)(((byte)(128)))), ((int)(((byte)(128)))), ((int)(((byte)(128)))));
            this.Chart1.Axes.Left.Labels.Bevel.StringColorOne = "FFFFFFFF";
            this.Chart1.Axes.Left.Labels.Bevel.StringColorTwo = "FF808080";
            this.Chart1.Axes.Left.Maximum = 0D;
            this.Chart1.Axes.Left.Minimum = 0D;
            //
            //
            //
            //
            //
            //
            this.Chart1.Axes.Left.Title.Bevel.ColorOne = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(255)))));
            this.Chart1.Axes.Left.Title.Bevel.ColorTwo = System.Drawing.Color.FromArgb(((int)(((byte)(128)))), ((int)(((byte)(128)))), ((int)(((byte)(128)))));
            this.Chart1.Axes.Left.Title.Bevel.StringColorOne = "FFFFFFFF";
            this.Chart1.Axes.Left.Title.Bevel.StringColorTwo = "FF808080";
            //
            //
            //
            this.Chart1.Axes.Right.Automatic = false;
            this.Chart1.Axes.Right.AutomaticMaximum = false;
            this.Chart1.Axes.Right.AutomaticMinimum = false;
            //
            //
            //
            this.Chart1.Axes.Right.Grid.Style = System.Drawing.Drawing2D.DashStyle.Dot;
            //
            //
            //
            //
            //
            //
            this.Chart1.Axes.Right.Labels.Bevel.ColorOne = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(255)))));
            this.Chart1.Axes.Right.Labels.Bevel.ColorTwo = System.Drawing.Color.FromArgb(((int)(((byte)(128)))), ((int)(((byte)(128)))), ((int)(((byte)(128)))));
            this.Chart1.Axes.Right.Labels.Bevel.StringColorOne = "FFFFFFFF";
            this.Chart1.Axes.Right.Labels.Bevel.StringColorTwo = "FF808080";
            this.Chart1.Axes.Right.Maximum = 0D;
            this.Chart1.Axes.Right.Minimum = 0D;
            //
            //
            //
            //
            //
            //
            this.Chart1.Axes.Right.Title.Bevel.ColorOne = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(255)))));
            this.Chart1.Axes.Right.Title.Bevel.ColorTwo = System.Drawing.Color.FromArgb(((int)(((byte)(128)))), ((int)(((byte)(128)))), ((int)(((byte)(128)))));
            this.Chart1.Axes.Right.Title.Bevel.StringColorOne = "FFFFFFFF";
            this.Chart1.Axes.Right.Title.Bevel.StringColorTwo = "FF808080";
            //
            //
            //
            this.Chart1.Axes.Top.Automatic = false;
            this.Chart1.Axes.Top.AutomaticMaximum = false;
            this.Chart1.Axes.Top.AutomaticMinimum = false;
            //
            //
            //
            this.Chart1.Axes.Top.Grid.Style = System.Drawing.Drawing2D.DashStyle.Dot;
            //
            //
            //
            //
            //
            //
            this.Chart1.Axes.Top.Labels.Bevel.ColorOne = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(255)))));
            this.Chart1.Axes.Top.Labels.Bevel.ColorTwo = System.Drawing.Color.FromArgb(((int)(((byte)(128)))), ((int)(((byte)(128)))), ((int)(((byte)(128)))));
            this.Chart1.Axes.Top.Labels.Bevel.StringColorOne = "FFFFFFFF";
            this.Chart1.Axes.Top.Labels.Bevel.StringColorTwo = "FF808080";
            this.Chart1.Axes.Top.Maximum = 0D;
            this.Chart1.Axes.Top.Minimum = 0D;
            //
            //
            //
            //
            //
            //
            this.Chart1.Axes.Top.Title.Bevel.ColorOne = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(255)))));
            this.Chart1.Axes.Top.Title.Bevel.ColorTwo = System.Drawing.Color.FromArgb(((int)(((byte)(128)))), ((int)(((byte)(128)))), ((int)(((byte)(128)))));
            this.Chart1.Axes.Top.Title.Bevel.StringColorOne = "FFFFFFFF";
            this.Chart1.Axes.Top.Title.Bevel.StringColorTwo = "FF808080";
            this.Chart1.Axes.Top.Visible = false;
            this.Chart1.Axes.Top.ZPosition = 0D;
            //
            //
            //
            //
            //
            //
            this.Chart1.Footer.Bevel.ColorOne = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(255)))));
            this.Chart1.Footer.Bevel.ColorTwo = System.Drawing.Color.FromArgb(((int)(((byte)(128)))), ((int)(((byte)(128)))), ((int)(((byte)(128)))));
            this.Chart1.Footer.Bevel.StringColorOne = "FFFFFFFF";
            this.Chart1.Footer.Bevel.StringColorTwo = "FF808080";
            //
            //
            //
            //
            //
            //
            this.Chart1.Header.Bevel.ColorOne = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(255)))));
            this.Chart1.Header.Bevel.ColorTwo = System.Drawing.Color.FromArgb(((int)(((byte)(128)))), ((int)(((byte)(128)))), ((int)(((byte)(128)))));
            this.Chart1.Header.Bevel.StringColorOne = "FFFFFFFF";
            this.Chart1.Header.Bevel.StringColorTwo = "FF808080";
            //
            //
            //
            //
            //
            //
            this.Chart1.Legend.Bevel.ColorOne = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(255)))));
            this.Chart1.Legend.Bevel.ColorTwo = System.Drawing.Color.FromArgb(((int)(((byte)(128)))), ((int)(((byte)(128)))), ((int)(((byte)(128)))));
            this.Chart1.Legend.Bevel.StringColorOne = "FFFFFFFF";
            this.Chart1.Legend.Bevel.StringColorTwo = "FF808080";
            //
            //
            //
            //
            //
            //
            this.Chart1.Legend.Title.Bevel.ColorOne = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(255)))));
            this.Chart1.Legend.Title.Bevel.ColorTwo = System.Drawing.Color.FromArgb(((int)(((byte)(128)))), ((int)(((byte)(128)))), ((int)(((byte)(128)))));
            this.Chart1.Legend.Title.Bevel.StringColorOne = "FFFFFFFF";
            this.Chart1.Legend.Title.Bevel.StringColorTwo = "FF808080";
            this.Chart1.Legend.Visible = false;
            this.Chart1.Location = new System.Drawing.Point(0, 0);
            this.Chart1.Name = "Chart1";
            //
            //
            //
            //
            //
            //
            this.Chart1.Panel.Bevel.ColorOne = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(255)))));
            this.Chart1.Panel.Bevel.ColorTwo = System.Drawing.Color.FromArgb(((int)(((byte)(128)))), ((int)(((byte)(128)))), ((int)(((byte)(128)))));
            this.Chart1.Panel.Bevel.StringColorOne = "FFFFFFFF";
            this.Chart1.Panel.Bevel.StringColorTwo = "FF808080";
            this.Chart1.Series.Add(this.Series4);
            this.Chart1.Series.Add(this.Series1);
            this.Chart1.Size = new System.Drawing.Size(676, 658);
            //
            //
            //
            //
            //
            //
            this.Chart1.SubFooter.Bevel.ColorOne = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(255)))));
            this.Chart1.SubFooter.Bevel.ColorTwo = System.Drawing.Color.FromArgb(((int)(((byte)(128)))), ((int)(((byte)(128)))), ((int)(((byte)(128)))));
            this.Chart1.SubFooter.Bevel.StringColorOne = "FFFFFFFF";
            this.Chart1.SubFooter.Bevel.StringColorTwo = "FF808080";
            //
            //
            //
            //
            //
            //
            this.Chart1.SubHeader.Bevel.ColorOne = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(255)))));
            this.Chart1.SubHeader.Bevel.ColorTwo = System.Drawing.Color.FromArgb(((int)(((byte)(128)))), ((int)(((byte)(128)))), ((int)(((byte)(128)))));
            this.Chart1.SubHeader.Bevel.StringColorOne = "FFFFFFFF";
            this.Chart1.SubHeader.Bevel.StringColorTwo = "FF808080";
            this.Chart1.TabIndex = 0;
            this.toolTip1.SetToolTip(this.Chart1, "2D View of flocks (every arrow of same color is a boid in the same flock)");
            //
            //
            //
            //
            //
            //
            //
            //
            //
            this.Chart1.Walls.Back.Bevel.ColorOne = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(255)))));
            this.Chart1.Walls.Back.Bevel.ColorTwo = System.Drawing.Color.FromArgb(((int)(((byte)(128)))), ((int)(((byte)(128)))), ((int)(((byte)(128)))));
            this.Chart1.Walls.Back.Bevel.StringColorOne = "FFFFFFFF";
            this.Chart1.Walls.Back.Bevel.StringColorTwo = "FF808080";
            //
            //
            //
            //
            //
            //
            this.Chart1.Walls.Bottom.Bevel.ColorOne = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(255)))));
            this.Chart1.Walls.Bottom.Bevel.ColorTwo = System.Drawing.Color.FromArgb(((int)(((byte)(128)))), ((int)(((byte)(128)))), ((int)(((byte)(128)))));
            this.Chart1.Walls.Bottom.Bevel.StringColorOne = "FFFFFFFF";
            this.Chart1.Walls.Bottom.Bevel.StringColorTwo = "FF808080";
            //
            //
            //
            //
            //
            //
            this.Chart1.Walls.Left.Bevel.ColorOne = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(255)))));
            this.Chart1.Walls.Left.Bevel.ColorTwo = System.Drawing.Color.FromArgb(((int)(((byte)(128)))), ((int)(((byte)(128)))), ((int)(((byte)(128)))));
            this.Chart1.Walls.Left.Bevel.StringColorOne = "FFFFFFFF";
            this.Chart1.Walls.Left.Bevel.StringColorTwo = "FF808080";
            //
            //
            //
            //
            //
            //
            this.Chart1.Walls.Right.Bevel.ColorOne = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(255)))));
            this.Chart1.Walls.Right.Bevel.ColorTwo = System.Drawing.Color.FromArgb(((int)(((byte)(128)))), ((int)(((byte)(128)))), ((int)(((byte)(128)))));
            this.Chart1.Walls.Right.Bevel.StringColorOne = "FFFFFFFF";
            this.Chart1.Walls.Right.Bevel.StringColorTwo = "FF808080";
            this.Chart1.MouseMove += new System.Windows.Forms.MouseEventHandler(this.Chart1MouseMove);
            //
            // Series4
            //
            //
            //
            //
            this.Series4.Brush.Color = System.Drawing.Color.FromArgb(((int)(((byte)(128)))), ((int)(((byte)(128)))), ((int)(((byte)(255)))));
            this.Series4.Color = System.Drawing.Color.FromArgb(((int)(((byte)(128)))), ((int)(((byte)(128)))), ((int)(((byte)(255)))));
            this.Series4.ColorEach = false;
            this.Series4.ColorMember = "Colors";
            this.Series4.Colors = ((Steema.TeeChart.Styles.ColorList)(resources.GetObject("Series4.Colors")));
            this.Series4.HorizAlignment = Steema.TeeChart.Styles.ShapeTextHorizAlign.Center;
            //
            //
            //
            this.Series4.Pen.Color = System.Drawing.Color.FromArgb(((int)(((byte)(41)))), ((int)(((byte)(61)))), ((int)(((byte)(98)))));
            this.Series4.ShowInLegend = false;
            this.Series4.Style = Steema.TeeChart.Styles.ShapeStyles.Circle;
            this.Series4.Text = new string[0];
            this.Series4.Title = "shape1";
            this.Series4.VertAlignment = Steema.TeeChart.Styles.ShapeTextVertAlign.Center;
            this.Series4.X0 = 5D;
            this.Series4.X1 = 10D;
            //
            //
            //
            this.Series4.XValues.DataMember = "X";
            this.Series4.XValues.Order = Steema.TeeChart.Styles.ValueListOrder.Ascending;
            this.Series4.XYStyle = Steema.TeeChart.Styles.ShapeXYStyles.Axis;
            this.Series4.Y0 = 90D;
            this.Series4.Y1 = 85D;
            //
            //
            //
            this.Series4.YValues.DataMember = "Y";
            //
            // Series1
            //
            //
            //
            //
            this.Series1.Brush.Color = System.Drawing.Color.FromArgb(((int)(((byte)(68)))), ((int)(((byte)(102)))), ((int)(((byte)(163)))));
            this.Series1.Color = System.Drawing.Color.FromArgb(((int)(((byte)(68)))), ((int)(((byte)(102)))), ((int)(((byte)(163)))));
            this.Series1.ColorEach = false;
            this.Series1.ColorMember = "Colors";
            this.Series1.Colors = ((Steema.TeeChart.Styles.ColorList)(resources.GetObject("Series1.Colors")));
            this.Series1.HorizAlignment = Steema.TeeChart.Styles.ShapeTextHorizAlign.Center;
            //
            //
            //
            this.Series1.Pen.Color = System.Drawing.Color.FromArgb(((int)(((byte)(41)))), ((int)(((byte)(61)))), ((int)(((byte)(98)))));
            this.Series1.Style = Steema.TeeChart.Styles.ShapeStyles.Circle;
            this.Series1.Text = new string[0];
            this.Series1.Title = "shape2";
            this.Series1.VertAlignment = Steema.TeeChart.Styles.ShapeTextVertAlign.Center;
            this.Series1.X0 = 45D;
            this.Series1.X1 = 55D;
            //
            //
            //
            this.Series1.XValues.DataMember = "X";
            this.Series1.XValues.Order = Steema.TeeChart.Styles.ValueListOrder.Ascending;
            this.Series1.XYStyle = Steema.TeeChart.Styles.ShapeXYStyles.Axis;
            this.Series1.Y0 = 60D;
            this.Series1.Y1 = 50D;
            //
            //
            //
            this.Series1.YValues.DataMember = "Y";
            //
            // btnOneStep
            //
            this.btnOneStep.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
            this.btnOneStep.BackColor = System.Drawing.SystemColors.ButtonFace;
            this.btnOneStep.Location = new System.Drawing.Point(98, 19);
            this.btnOneStep.Name = "btnOneStep";
            this.btnOneStep.Size = new System.Drawing.Size(75, 25);
            this.btnOneStep.TabIndex = 2;
            this.btnOneStep.Text = "&One Step";
            this.toolTip1.SetToolTip(this.btnOneStep, "Take one step in the simulation");
            this.btnOneStep.UseVisualStyleBackColor = false;
            this.btnOneStep.Click += new System.EventHandler(this.btnOneStepClick);
            //
            // btnStart
            //
            this.btnStart.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.btnStart.BackColor = System.Drawing.SystemColors.ButtonFace;
            this.btnStart.Location = new System.Drawing.Point(8, 19);
            this.btnStart.Name = "btnStart";
            this.btnStart.Size = new System.Drawing.Size(77, 25);
            this.btnStart.TabIndex = 0;
            this.btnStart.Text = "&Start";
            this.toolTip1.SetToolTip(this.btnStart, "Start the simulation running");
            this.btnStart.UseVisualStyleBackColor = false;
            this.btnStart.Click += new System.EventHandler(this.btnStartClick);
            //
            // btnStop
            //
            this.btnStop.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.btnStop.BackColor = System.Drawing.SystemColors.ButtonFace;
            this.btnStop.Enabled = false;
            this.btnStop.Location = new System.Drawing.Point(8, 51);
            this.btnStop.Name = "btnStop";
            this.btnStop.Size = new System.Drawing.Size(77, 25);
            this.btnStop.TabIndex = 1;
            this.btnStop.Text = "Sto&p";
            this.toolTip1.SetToolTip(this.btnStop, "Stop the simulation");
            this.btnStop.UseVisualStyleBackColor = false;
            this.btnStop.Click += new System.EventHandler(this.btnStopClick);
            //
            // tbMaxStepsPerSec
            //
            this.tbMaxStepsPerSec.Location = new System.Drawing.Point(76, 72);
            this.tbMaxStepsPerSec.Maximum = 100;
            this.tbMaxStepsPerSec.Minimum = 1;
            this.tbMaxStepsPerSec.Name = "tbMaxStepsPerSec";
            this.tbMaxStepsPerSec.Size = new System.Drawing.Size(104, 56);
            this.tbMaxStepsPerSec.TabIndex = 3;
            this.tbMaxStepsPerSec.TickFrequency = 5;
            this.toolTip1.SetToolTip(this.tbMaxStepsPerSec, "Specify the maximum number of steps per second (1-100)");
            this.tbMaxStepsPerSec.Value = 25;
            this.tbMaxStepsPerSec.ValueChanged += new System.EventHandler(this.tbMaxStepsPerSecChange);
            //
            // clbBehaviors
            //
            this.clbBehaviors.CheckOnClick = true;
            this.clbBehaviors.ForeColor = System.Drawing.SystemColors.HotTrack;
            this.clbBehaviors.Items.AddRange(new object[] {
            "Separation",
            "Alignment",
            "Cohesion",
            "Avoidance"});
            this.clbBehaviors.Location = new System.Drawing.Point(3, 19);
            this.clbBehaviors.Name = "clbBehaviors";
            this.clbBehaviors.Size = new System.Drawing.Size(179, 68);
            this.clbBehaviors.TabIndex = 0;
            this.toolTip1.SetToolTip(this.clbBehaviors, "Specify which flocking behaviors affect the boids");
            this.clbBehaviors.SelectedIndexChanged += new System.EventHandler(this.clbBehaviorsClickCheck);
            //
            // tbSeparationStrength
            //
            this.tbSeparationStrength.BackColor = System.Drawing.SystemColors.ButtonFace;
            this.tbSeparationStrength.Location = new System.Drawing.Point(77, 88);
            this.tbSeparationStrength.Maximum = 100;
            this.tbSeparationStrength.Name = "tbSeparationStrength";
            this.tbSeparationStrength.Size = new System.Drawing.Size(96, 56);
            this.tbSeparationStrength.TabIndex = 1;
            this.tbSeparationStrength.TickFrequency = 5;
            this.toolTip1.SetToolTip(this.tbSeparationStrength, "Specify the separation rule strength");
            this.tbSeparationStrength.Value = 100;
            this.tbSeparationStrength.ValueChanged += new System.EventHandler(this.tbSeparationStrengthChange);
            //
            // tbAlignmentStrength
            //
            this.tbAlignmentStrength.Location = new System.Drawing.Point(79, 132);
            this.tbAlignmentStrength.Maximum = 100;
            this.tbAlignmentStrength.Name = "tbAlignmentStrength";
            this.tbAlignmentStrength.Size = new System.Drawing.Size(96, 56);
            this.tbAlignmentStrength.TabIndex = 2;
            this.tbAlignmentStrength.TickFrequency = 5;
            this.toolTip1.SetToolTip(this.tbAlignmentStrength, "Specify the alignment rule strength");
            this.tbAlignmentStrength.Value = 100;
            this.tbAlignmentStrength.ValueChanged += new System.EventHandler(this.tbSeparationStrengthChange);
            //
            // tbCohesionStrength
            //
            this.tbCohesionStrength.Location = new System.Drawing.Point(79, 175);
            this.tbCohesionStrength.Maximum = 100;
            this.tbCohesionStrength.Name = "tbCohesionStrength";
            this.tbCohesionStrength.Size = new System.Drawing.Size(96, 56);
            this.tbCohesionStrength.TabIndex = 3;
            this.tbCohesionStrength.TickFrequency = 5;
            this.toolTip1.SetToolTip(this.tbCohesionStrength, "Specify the cohesion rule strength");
            this.tbCohesionStrength.Value = 100;
            this.tbCohesionStrength.ValueChanged += new System.EventHandler(this.tbSeparationStrengthChange);
            //
            // tbAvoidanceStrength
            //
            this.tbAvoidanceStrength.Location = new System.Drawing.Point(80, 221);
            this.tbAvoidanceStrength.Maximum = 100;
            this.tbAvoidanceStrength.Name = "tbAvoidanceStrength";
            this.tbAvoidanceStrength.Size = new System.Drawing.Size(96, 56);
            this.tbAvoidanceStrength.TabIndex = 4;
            this.tbAvoidanceStrength.TickFrequency = 5;
            this.toolTip1.SetToolTip(this.tbAvoidanceStrength, "Specify the avoidance rule strength");
            this.tbAvoidanceStrength.Value = 100;
            this.tbAvoidanceStrength.ValueChanged += new System.EventHandler(this.tbSeparationStrengthChange);
            //
            // tbBoidsPerFlock
            //
            this.tbBoidsPerFlock.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.tbBoidsPerFlock.Location = new System.Drawing.Point(72, 47);
            this.tbBoidsPerFlock.Maximum = 100;
            this.tbBoidsPerFlock.Minimum = 2;
            this.tbBoidsPerFlock.Name = "tbBoidsPerFlock";
            this.tbBoidsPerFlock.Size = new System.Drawing.Size(104, 56);
            this.tbBoidsPerFlock.TabIndex = 1;
            this.tbBoidsPerFlock.TickFrequency = 5;
            this.toolTip1.SetToolTip(this.tbBoidsPerFlock, "Specify the number of boids in each flock");
            this.tbBoidsPerFlock.Value = 50;
            this.tbBoidsPerFlock.ValueChanged += new System.EventHandler(this.tbBoidsPerFlockChange);
            //
            // tbNumFlocks
            //
            this.tbNumFlocks.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.tbNumFlocks.Location = new System.Drawing.Point(72, 16);
            this.tbNumFlocks.Minimum = 1;
            this.tbNumFlocks.Name = "tbNumFlocks";
            this.tbNumFlocks.Size = new System.Drawing.Size(104, 56);
            this.tbNumFlocks.TabIndex = 0;
            this.toolTip1.SetToolTip(this.tbNumFlocks, "Specify the number of flocks (every flock is considered an enemy)");
            this.tbNumFlocks.Value = 1;
            this.tbNumFlocks.ValueChanged += new System.EventHandler(this.tbNumFlocksChange);
            //
            // cbFollowMouse
            //
            this.cbFollowMouse.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.cbFollowMouse.Location = new System.Drawing.Point(9, 86);
            this.cbFollowMouse.Name = "cbFollowMouse";
            this.cbFollowMouse.Size = new System.Drawing.Size(171, 17);
            this.cbFollowMouse.TabIndex = 2;
            this.cbFollowMouse.Text = "&Follow Mouse";
            this.toolTip1.SetToolTip(this.cbFollowMouse, "Turn this option on to have the FIRST flock try to follow mouse (Note, you may ha" +
                    "ve to turn down separation, alignment, and avoidance to see this better)");
            this.cbFollowMouse.Click += new System.EventHandler(this.cbFollowMouseClick);
            //
            // tbNeigboursRank
            //
            this.tbNeigboursRank.LargeChange = 1;
            this.tbNeigboursRank.Location = new System.Drawing.Point(79, 278);
            this.tbNeigboursRank.Minimum = 1;
            this.tbNeigboursRank.Name = "tbNeigboursRank";
            this.tbNeigboursRank.Size = new System.Drawing.Size(96, 56);
            this.tbNeigboursRank.TabIndex = 6;
            this.toolTip1.SetToolTip(this.tbNeigboursRank, "Specify the avoidance rule strength");
            this.tbNeigboursRank.Value = 1;
            this.tbNeigboursRank.ValueChanged += new System.EventHandler(this.tbSeparationStrengthChange);
            //
            // tbResponseDelay
            //
            this.tbResponseDelay.LargeChange = 1;
            this.tbResponseDelay.Location = new System.Drawing.Point(77, 319);
            this.tbResponseDelay.Name = "tbResponseDelay";
            this.tbResponseDelay.Size = new System.Drawing.Size(96, 56);
            this.tbResponseDelay.TabIndex = 9;
            this.toolTip1.SetToolTip(this.tbResponseDelay, "Specify the Ressponse Delay Between Agents");
            this.tbResponseDelay.ValueChanged += new System.EventHandler(this.tbSeparationStrengthChange);
            //
            // tbMaxSpeed
            //
            this.tbMaxSpeed.LargeChange = 1;
            this.tbMaxSpeed.Location = new System.Drawing.Point(80, 355);
            this.tbMaxSpeed.Maximum = 200;
            this.tbMaxSpeed.Name = "tbMaxSpeed";
            this.tbMaxSpeed.Size = new System.Drawing.Size(96, 56);
            this.tbMaxSpeed.SmallChange = 20;
            this.tbMaxSpeed.TabIndex = 11;
            this.tbMaxSpeed.TickFrequency = 10;
            this.toolTip1.SetToolTip(this.tbMaxSpeed, "Specify the Ressponse Delay Between Agents");
            this.tbMaxSpeed.Value = 100;
            this.tbMaxSpeed.ValueChanged += new System.EventHandler(this.tbSeparationStrengthChange);
            //
            // Splitter1
            //
            this.Splitter1.Cursor = System.Windows.Forms.Cursors.HSplit;
            this.Splitter1.Dock = System.Windows.Forms.DockStyle.Right;
            this.Splitter1.Location = new System.Drawing.Point(666, 0);
            this.Splitter1.Name = "Splitter1";
            this.Splitter1.Size = new System.Drawing.Size(10, 658);
            this.Splitter1.TabIndex = 0;
            this.Splitter1.TabStop = false;
            //
            // GroupBox1
            //
            this.GroupBox1.Controls.Add(this.Chart1);
            this.GroupBox1.Dock = System.Windows.Forms.DockStyle.Fill;
            this.GroupBox1.Location = new System.Drawing.Point(0, 0);
            this.GroupBox1.Name = "GroupBox1";
            this.GroupBox1.Size = new System.Drawing.Size(676, 658);
            this.GroupBox1.TabIndex = 0;
            this.GroupBox1.TabStop = false;
            this.GroupBox1.Text = "Flock World";
            //
            // Series2
            //
            this.Series2.Color = System.Drawing.Color.Empty;
            this.Series2.ColorEach = false;
            this.Series2.HorizAlignment = Steema.TeeChart.Styles.ShapeTextHorizAlign.Center;
            this.Series2.Style = Steema.TeeChart.Styles.ShapeStyles.Circle;
            this.Series2.Text = new string[0];
            this.Series2.VertAlignment = Steema.TeeChart.Styles.ShapeTextVertAlign.Center;
            this.Series2.X0 = 0D;
            this.Series2.X1 = 0D;
            //
            //
            //
            this.Series2.XValues.Order = Steema.TeeChart.Styles.ValueListOrder.Ascending;
            this.Series2.XYStyle = Steema.TeeChart.Styles.ShapeXYStyles.Axis;
            this.Series2.Y0 = 0D;
            this.Series2.Y1 = 0D;
            //
            // Series3
            //
            this.Series3.Color = System.Drawing.Color.Empty;
            this.Series3.ColorEach = false;
            this.Series3.HorizAlignment = Steema.TeeChart.Styles.ShapeTextHorizAlign.Center;
            this.Series3.Style = Steema.TeeChart.Styles.ShapeStyles.Circle;
            this.Series3.Text = new string[0];
            this.Series3.VertAlignment = Steema.TeeChart.Styles.ShapeTextVertAlign.Center;
            this.Series3.X0 = 0D;
            this.Series3.X1 = 0D;
            //
            //
            //
            this.Series3.XValues.Order = Steema.TeeChart.Styles.ValueListOrder.Ascending;
            this.Series3.XYStyle = Steema.TeeChart.Styles.ShapeXYStyles.Axis;
            this.Series3.Y0 = 0D;
            this.Series3.Y1 = 0D;
            //
            // FlockSeries
            //
            this.FlockSeries.Color = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(255)))));
            this.FlockSeries.ColorEach = false;
            //
            //
            //
            this.FlockSeries.Pointer.Style = Steema.TeeChart.Styles.PointerStyles.Rectangle;
            this.FlockSeries.StartXValues = this.FlockSeries.XValues;
            this.FlockSeries.StartYValues = this.FlockSeries.YValues;
            //
            //
            //
            this.FlockSeries.XValues.Order = Steema.TeeChart.Styles.ValueListOrder.Ascending;
            //
            // Panel1
            //
            this.Panel1.BackColor = System.Drawing.SystemColors.ButtonFace;
            this.Panel1.Controls.Add(this.GroupBox3);
            this.Panel1.Controls.Add(this.GroupBox2);
            this.Panel1.Controls.Add(this.GroupBox4);
            this.Panel1.Dock = System.Windows.Forms.DockStyle.Right;
            this.Panel1.Location = new System.Drawing.Point(676, 0);
            this.Panel1.Name = "Panel1";
            this.Panel1.Size = new System.Drawing.Size(185, 658);
            this.Panel1.TabIndex = 1;
            //
            // GroupBox3
            //
            this.GroupBox3.Controls.Add(this.label10);
            this.GroupBox3.Controls.Add(this.tbMaxSpeed);
            this.GroupBox3.Controls.Add(this.label9);
            this.GroupBox3.Controls.Add(this.tbResponseDelay);
            this.GroupBox3.Controls.Add(this.label8);
            this.GroupBox3.Controls.Add(this.tbNeigboursRank);
            this.GroupBox3.Controls.Add(this.clbBehaviors);
            this.GroupBox3.Controls.Add(this.Label7);
            this.GroupBox3.Controls.Add(this.Label6);
            this.GroupBox3.Controls.Add(this.Label5);
            this.GroupBox3.Controls.Add(this.Label4);
            this.GroupBox3.Controls.Add(this.tbSeparationStrength);
            this.GroupBox3.Controls.Add(this.tbAlignmentStrength);
            this.GroupBox3.Controls.Add(this.tbCohesionStrength);
            this.GroupBox3.Controls.Add(this.tbAvoidanceStrength);
            this.GroupBox3.Dock = System.Windows.Forms.DockStyle.Fill;
            this.GroupBox3.Location = new System.Drawing.Point(0, 260);
            this.GroupBox3.Name = "GroupBox3";
            this.GroupBox3.Size = new System.Drawing.Size(185, 398);
            this.GroupBox3.TabIndex = 2;
            this.GroupBox3.TabStop = false;
            this.GroupBox3.Text = "Flocking &Behaviors";
            //
            // label10
            //
            this.label10.Location = new System.Drawing.Point(8, 353);
            this.label10.Name = "label10";
            this.label10.Size = new System.Drawing.Size(74, 42);
            this.label10.TabIndex = 10;
            this.label10.Text = "Maximum Speed";
            //
            // label9
            //
            this.label9.Location = new System.Drawing.Point(5, 317);
            this.label9.Name = "label9";
            this.label9.Size = new System.Drawing.Size(74, 42);
            this.label9.TabIndex = 8;
            this.label9.Text = "Response Delay ";
            //
            // label8
            //
            this.label8.Location = new System.Drawing.Point(5, 278);
            this.label8.Name = "label8";
            this.label8.Size = new System.Drawing.Size(74, 38);
            this.label8.TabIndex = 5;
            this.label8.Text = "Neigbours Rank";
            //
            // Label7
            //
            this.Label7.Location = new System.Drawing.Point(5, 231);
            this.Label7.Name = "Label7";
            this.Label7.Size = new System.Drawing.Size(74, 38);
            this.Label7.TabIndex = 3;
            this.Label7.Text = "Avoidance Strength";
            //
            // Label6
            //
            this.Label6.ForeColor = System.Drawing.SystemColors.HotTrack;
            this.Label6.Location = new System.Drawing.Point(5, 180);
            this.Label6.Name = "Label6";
            this.Label6.Size = new System.Drawing.Size(77, 43);
            this.Label6.TabIndex = 2;
            this.Label6.Text = "Cohesion Strength";
            //
            // Label5
            //
            this.Label5.ForeColor = System.Drawing.SystemColors.HotTrack;
            this.Label5.Location = new System.Drawing.Point(5, 137);
            this.Label5.Name = "Label5";
            this.Label5.Size = new System.Drawing.Size(74, 44);
            this.Label5.TabIndex = 1;
            this.Label5.Text = "Alignment Strength";
            //
            // Label4
            //
            this.Label4.ForeColor = System.Drawing.SystemColors.HotTrack;
            this.Label4.Location = new System.Drawing.Point(5, 97);
            this.Label4.Name = "Label4";
            this.Label4.Size = new System.Drawing.Size(77, 42);
            this.Label4.TabIndex = 0;
            this.Label4.Text = "Separation Strength";
            //
            // GroupBox2
            //
            this.GroupBox2.Controls.Add(this.Label1);
            this.GroupBox2.Controls.Add(this.btnOneStep);
            this.GroupBox2.Controls.Add(this.btnStart);
            this.GroupBox2.Controls.Add(this.btnStop);
            this.GroupBox2.Controls.Add(this.tbMaxStepsPerSec);
            this.GroupBox2.Dock = System.Windows.Forms.DockStyle.Top;
            this.GroupBox2.ForeColor = System.Drawing.SystemColors.Desktop;
            this.GroupBox2.Location = new System.Drawing.Point(0, 137);
            this.GroupBox2.Name = "GroupBox2";
            this.GroupBox2.Size = new System.Drawing.Size(185, 123);
            this.GroupBox2.TabIndex = 0;
            this.GroupBox2.TabStop = false;
            this.GroupBox2.Text = "Si&mulation";
            //
            // Label1
            //
            this.Label1.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
                        | System.Windows.Forms.AnchorStyles.Left)));
            this.Label1.Location = new System.Drawing.Point(8, 84);
            this.Label1.Name = "Label1";
            this.Label1.Size = new System.Drawing.Size(77, 32);
            this.Label1.TabIndex = 0;
            this.Label1.Text = "&Max Steps / Sec";
            //
            // GroupBox4
            //
            this.GroupBox4.Controls.Add(this.checkBox1);
            this.GroupBox4.Controls.Add(this.cbFollowMouse);
            this.GroupBox4.Controls.Add(this.Label2);
            this.GroupBox4.Controls.Add(this.Label3);
            this.GroupBox4.Controls.Add(this.tbBoidsPerFlock);
            this.GroupBox4.Controls.Add(this.tbNumFlocks);
            this.GroupBox4.Dock = System.Windows.Forms.DockStyle.Top;
            this.GroupBox4.Location = new System.Drawing.Point(0, 0);
            this.GroupBox4.Name = "GroupBox4";
            this.GroupBox4.Size = new System.Drawing.Size(185, 137);
            this.GroupBox4.TabIndex = 1;
            this.GroupBox4.TabStop = false;
            this.GroupBox4.Text = "O&ptions";
            //
            // checkBox1
            //
            this.checkBox1.AutoSize = true;
            this.checkBox1.Location = new System.Drawing.Point(9, 109);
            this.checkBox1.Name = "checkBox1";
            this.checkBox1.Size = new System.Drawing.Size(151, 17);
            this.checkBox1.TabIndex = 7;
            this.checkBox1.Text = "Consider Local Information";
            this.checkBox1.TextAlign = System.Drawing.ContentAlignment.TopCenter;
            this.checkBox1.UseVisualStyleBackColor = true;
            this.checkBox1.CheckedChanged += new System.EventHandler(this.checkBox1_CheckedChanged);
            //
            // Label2
            //
            this.Label2.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
                        | System.Windows.Forms.AnchorStyles.Left)));
            this.Label2.Location = new System.Drawing.Point(8, 49);
            this.Label2.Name = "Label2";
            this.Label2.Size = new System.Drawing.Size(62, 64);
            this.Label2.TabIndex = 0;
            this.Label2.Text = "&Boids Per Flock";
            //
            // Label3
            //
            this.Label3.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
                        | System.Windows.Forms.AnchorStyles.Left)));
            this.Label3.Location = new System.Drawing.Point(8, 17);
            this.Label3.Name = "Label3";
            this.Label3.Size = new System.Drawing.Size(63, 64);
            this.Label3.TabIndex = 1;
            this.Label3.Text = "Num. of Flocks";
            //
            // World
            //
            tVector3.X = 100F;
            tVector3.Y = 100F;
            tVector3.Z = 100F;
            this.World.Dimension = tVector3;
            this.World.Gravity = 9.80665F;
            tVector4.X = 0F;
            tVector4.Y = 0F;
            tVector4.Z = 0F;
            this.World.Origin = tVector4;
            //
            // TfrmMain
            //
            this.AutoScroll = true;
            this.BackColor = System.Drawing.SystemColors.ButtonFace;
            this.ClientSize = new System.Drawing.Size(861, 658);
            this.Controls.Add(this.Splitter1);
            this.Controls.Add(this.GroupBox1);
            this.Controls.Add(this.Panel1);
            this.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F);
            this.Location = new System.Drawing.Point(253, 121);
            this.Name = "TfrmMain";
            this.Text = "TASP - Flocking Tool";
            this.Closing += new System.ComponentModel.CancelEventHandler(this.FormCloseQuery);
            this.Load += new System.EventHandler(this.FormCreate);
            ((System.ComponentModel.ISupportInitialize)(this.tbMaxStepsPerSec)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.tbSeparationStrength)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.tbAlignmentStrength)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.tbCohesionStrength)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.tbAvoidanceStrength)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.tbBoidsPerFlock)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.tbNumFlocks)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.tbNeigboursRank)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.tbResponseDelay)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.tbMaxSpeed)).EndInit();
            this.GroupBox1.ResumeLayout(false);
            this.Panel1.ResumeLayout(false);
            this.GroupBox3.ResumeLayout(false);
            this.GroupBox3.PerformLayout();
            this.GroupBox2.ResumeLayout(false);
            this.GroupBox2.PerformLayout();
            this.GroupBox4.ResumeLayout(false);
            this.GroupBox4.PerformLayout();
            this.ResumeLayout(false);

        }
        #endregion

        private IContainer components;
        public System.Windows.Forms.Label label8;
        public System.Windows.Forms.TrackBar tbNeigboursRank;
        private System.Windows.Forms.CheckBox checkBox1;
        public System.Windows.Forms.Label label9;
        public System.Windows.Forms.TrackBar tbResponseDelay;
        public System.Windows.Forms.Label label10;
        public System.Windows.Forms.TrackBar tbMaxSpeed;

    }
}

